::
:: Step2-trasnform.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (usersCombineExtract.xml)	output of DB sql results in XML format
::
:: Output:
::   outfile    (usersCombineisaCombineTransform.xml)	output of raw format into unique identity format
::


setlocal
call ..\env.bat

set DATATYPE=usersCombine
set ISATYPE=isaCombine

xmltransform -customizer %CUSTOMIZEFILE% -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -outfile %DATATYPE%%ISATYPE%%TRANSFORMEDFILE% -infile %DATATYPE%%TRANSFORMEDFILE% -transform membertransform.xsl -param "dtdfile=%DTDFILE%" -param "rootelement=import" -param "member_id=%MEMBERID%"