::
:: Step4-massload.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (usersCombineResGen.xml)	output of DB sql results in XML format
::
::


setlocal
call ..\env.bat

set DATATYPE=usersCombine
set INFILE=%DATATYPE%%RESGENFILE%

if "%processType%" == "toolkit" goto toolkitusage
if "%processType%" == "server" goto serverusage

:toolkitusage
%TOOLKITDIR%\bin\massload %INFILE%
goto end

:serverusage
massload -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -infile %INFILE% -method sqlimport -commitcount 20
goto end

:end

endlocal