::
:: Step2-trasnform.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (usersInActiveExtract.xml)	output of DB sql results in XML format
::
:: Output:
::   outfile    (usersInActiveTransform.xml)	output of raw format into unique identity format
::


setlocal
call ..\env.bat

set DATATYPE=usersInActive

xmltransform -customizer %CUSTOMIZEFILE% -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -outfile %DATATYPE%%TRANSFORMEDFILE% -infile %DATATYPE%%EXTRACTFILE% -transform %IDENTTRANSFORM% -param "dtdfile=%DTDFILE%" -param "rootelement=import" -param "member_id=%MEMBERID%"