::
:: Step3-idresgen.bat
:: 
:: Transform raw xml data into unique identity format
::
:: Input:
::   dbname 	                       	Database name
::   dbuser 			        Database user name
::   dbpwd  			        Database user password
::   infile (usersCobmine.xml)		append both usersActiveTransform.xml and usersInActiveTransform.xml
::
:: Output:
::   outfile    (usersCombineResGen.xml)output of unique identifiers into Raw data ready for massload
::


setlocal
call ..\env.bat

set DATATYPE=usersCombine
set ISATYPE=isaCombine
set OUTFILE=%DATATYPE%%RESGENFILE%
set INFILE=%DATATYPE%%ISATYPE%%TRANSFORMEDFILE%

if "%processType%" == "toolkit" goto toolkitusage
if "%processType%" == "server" goto serverusage

:toolkitusage
%TOOLKITDIR%\bin\idresgen %INFILE% %OUTFILE%
goto end

:serverusage
idresgen -dbname %DBNAME% -dbuser %DBUSER% -dbpwd %DBPWD% -infile %INFILE% -outfile %OUTFILE% -method mixed
goto end

:end

endlocal
